<?php defined('SYSPATH') OR die('No direct access allowed.');
if (!isset($is_widget)) $is_widget = false;
?>
<?php if(isset($settings['googleMapsApi']) && $settings['googleMapsApi'] != '') { ?>
<script src="https://maps.googleapis.com/maps/api/js?key=<?php echo isset($settings['googleMapsApi']) ? $settings['googleMapsApi'] : ''; ?>"></script>
<?php } ?>
<script type="text/javascript">
var base_url = '<?php echo url::base(); ?>';
var googlemaps_api = '<?php echo isset($settings['googleMapsApi']) ? $settings['googleMapsApi'] : ''; ?>';
var cloudmade_key = '<?php echo isset($settings['cloudmadeKey']) ? $settings['cloudmadeKey'] : ''; ?>';
var local_maps = '<?php echo isset($settings['localMapsUrl']) ? $settings['localMapsUrl'] : ''; ?>';
var edit_mode = <?php echo $edit_mode ? 'true' : 'false'; ?>;
var update_interval = <?php echo $interval = isset($settings['updateInterval']) ? $settings['updateInterval']
		: '400'; ?>;
var _widget_template= <?php echo $is_widget ?  'true' : 'false'; ?>;
</script>
<style type="text/css">
	#search_text {
		background: transparent url(<?php echo url::base(); ?>application/views/css/default/images/input-270.png) no-repeat;
	}
	<?php if($is_widget){ ?>
	#map {
		position: fixed;
		top: 0; left: 0; right: 0; bottom: 0;
	}
	<?php } ?>
</style>
<div>
	<div>
		<?php if ($edit_mode) { ?>
			<form id="search_form" style="display:none">
				<input type="text" id="search_text"/>
				<input type="submit" value="Search"/>
			</form>
			<p id="hintbar">Double click to add a location. In that form, you have free hands to manually enter a locations latitude &amp; longitude.</p>
		<?php } ?>
	</div>
	<div id="map" style="clear: both; width: 100%; height: 700px;"></div>
</div>
<div id="location_dialog" style="display: none">
	<?php echo form::open('#', array('id' => 'location_form')); ?>
	<input id="location_id" name="id" type="hidden" value=""/>
	<dl class="listing_form_elements">
		<dt><label for="location_label">Label:</label></dt>
		<dd style="float: none; clear: both">
			<input id="location_label" name="label" type="text" value="" />
		</dd>

		<dt><label for="location_address">Address:</label></dt>
		<dd style="float: none; clear: both">
			<input id="location_address" name="address" type="text" value="" />
		</dd>

		<dt><label for="location_description">Description:</label></dt>
		<dd style="float: none; clear: both">
			<input id="location_description" name="description" type="text" value="" />
		</dd>

		<dt><label for="location_point">Latitude,longitude:</label></dt>
		<dd style="float: none; clear: both">
			<input id="location_point" name="point" type="text" value=""/>
		</dd>

		<dt><label for="location_object_type">Object type:</label></dt>
		<dd style="float: none; clear: both">
			<select id="location_object_type" class="object_type">
				<option value="none">None</option>
				<option value="host">Host</option>
				<option value="service">Service</option>
				<option value="hostgroup">Hostgroup</option>
				<option value="servicegroup">Servicegroup</option>
			</select>
		</dd>

		<dt class="hidden"><label for="location_object_name">Object name:</label></dt>
		<dd style="float: none; clear: both" class="hidden">
			<select id="location_object_name" class="object_name"></select>
		</dd>

		<dt></dt>
		<dd style="float: none; clear: both" class="hidden">
			<p>
				<input type="submit" value="Save"/>
				<input type="reset" value="Cancel"/>
			</p>
		</dd>
	</dl>
	</form>
</div>
<div id="link_dialog" style="display: none">
	<?php echo form::open('#', array('id' => 'link_form')); ?>
	<input id="link_id" name="id" type="hidden" value=""/>
	<input id="link_id1" name="id1" type="hidden" value=""/>
	<input id="link_id2" name="id2" type="hidden" value=""/>
	<label for="link_description">Description:</label>
	<input id="link_description" name="description" type="text" value=""/><br/>
	<label for="link_object_name">Object:</label>
	<select id="link_object_type" class="object_type">
		<option value="none">None</option>
		<option value="host">Host</option>
		<option value="service">Service</option>
		<option value="hostgroup">Hostgroup</option>
		<option value="servicegroup">Servicegroup</option>
	</select>
	<select id="link_object_name" class="object_name hidden">
	</select><br/>
	<input type="submit" value="Save"/>
	<input type="reset" value="Cancel"/>
	</form>
</div>
<div style="display: none" id="geomap-edit-settings" class="page_edit_settings">
	<form action="#">
		<table id="report" class="setup-tbl">
			<tr>
				<td><label for="geo-provider" class="hidden">Provider</label>
					<select name="geo-provider" id="geo-provider">
						<option value="google"<?php if($settings["provider"] == "google") print " selected "; ?>>Google Maps</option>
						<option value="osm"<?php if($settings["provider"] == "osm") print " selected "; ?>>Cloud Made</option>
						<option value="local"<?php if($settings["provider"] == "local") print " selected "; ?>>OpenStreetMap</option>
					</select></td>
			</tr>
			<tr id="geo-api" <?php if ($settings['provider'] != 'google') print 'style="display:none;"'; ?>>
				<td><label>Google Maps API key
						<input
							type="text"
							id="googleMapsApi"
							name="googleMapsApi"
							value="<?php print isset($settings['googleMapsApi']) ? $settings['googleMapsApi'] : ''; ?>"
							/>
					</label></td>
			</tr>
			<tr id="geo-code" <?php if ($settings['provider'] != 'osm') print 'style="display:none;"'; ?>>
				<td><label>CloudMade key
						<input
							type="text"
							id="cloudmadeKey"
							name="cloudmadeKey"
							value="<?php print isset($settings['cloudmadeKey']) ? $settings['cloudmadeKey'] : ''; ?>"
							/>
					</label></td>
			</tr>
			<tr id="geo-local" <?php if ($settings['provider'] != 'local') print 'style="display:none;"'; ?>>
				<td><label>URL to local maps
						<input type="text" id="local_maps_url" name="local_maps_url" value="<?php print isset($settings['localMapsUrl']) ? $settings['localMapsUrl'] : ''; ?>"/>
					</label></td>
			</tr>
			<tr>
				<td><label for="geo-refresh-rate" id="geomap-refresh-title">Geomap refresh rate (seconds)</label></td>
			</tr>
			<tr>
				<td><div id="geomap-refresh"></div>
					<input type="number" id="geo-refresh-rate" min="1" max="500" value="<?php print $interval ?>" />
			</tr>
		</table>
		<div class="action_button">
			<input type="submit" value="<?php echo _("Save"); ?>" />
			<button class="cancel"><?php echo _("Cancel"); ?></button>
		</div>
	</form>
</div>